import gm from 'gm';
import path from 'node:path';

import { getTempPath } from './utils';

const gmInst = gm.subClass({ imageMagick: '7+' });

function cropImage(imgPath: string): Promise<string> {
  return new Promise((resolve, reject) => {
    const outpath = path.join(getTempPath(), '001.png');
    gmInst(imgPath)
      .crop(500, 200, 0, 0)
      .write(outpath, (err) => {
        if (!err) {
          return resolve(outpath);
        }
        return reject(err);
      });
  });
}

const commonApi = {
  cropImage,
};

export type CommonApi = typeof commonApi;

export default commonApi;
