import fs from 'node:fs';
import path from 'node:path';

const TEMP_PATH_NAME = 'temp';

export function getRootPath() {
  return __dirname;
}

export function getTempPath() {
  return path.join(getRootPath(), TEMP_PATH_NAME);
}

export function makeDirSync(pathContent: string) {
  const mkPathList: string[] = [];
  let curPath = pathContent;

  while (!fs.existsSync(curPath)) {
    mkPathList.unshift(curPath);
    curPath = path.dirname(curPath);
  }

  mkPathList.forEach((mpath) => {
    fs.mkdirSync(mpath);
  });
}

makeDirSync(getTempPath());
